Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Video
    • Overview
    • Control
    • Browser autoplay policy
  • Access management
  • Pricing policy
    • API authentication
    • Getting started with the API
      • Overview
        • Overview
        • Get
        • List
        • BatchGet
        • Create
        • Update
        • Transcode
        • Delete
        • BatchDelete
        • PerformAction
        • GetPlayerURL
        • BatchGetPlayerURLs
        • GetManifests
        • GenerateDownloadURL
        • GetScreenshots
        • BatchGetScreenshots
  • Audit Trails events
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. Video
  4. GetScreenshots

Video API, REST: Video.GetScreenshots

Written by
Yandex Cloud
Updated at May 28, 2026
  • HTTP request
  • Path parameters
  • Response

Retrieves screenshots taken during the video transcoding process.

HTTP requestHTTP request

GET https://video.api.cloud.yandex.net/video/v1/videos/{videoId}:getScreenshots

Path parametersPath parameters

Field

Description

videoId

string

Required field. ID of the video for which to retrieve screenshots.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "screenshots": [
    "string"
  ]
}

Field

Description

screenshots[]

string

List of URLs to screenshots taken during the video transcoding process.
These screenshots can be used for thumbnail selection or content preview.
Screenshots are typically taken at regular intervals throughout the video.

Was the article helpful?

Previous
GenerateDownloadURL
Next
BatchGetScreenshots
© 2026 Direct Cursus Technology L.L.C.